aiengine: XAieGbl_RegShimBdCtrl Struct Reference

| aiengine Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Fields
XAieGbl_RegShimBdCtrl Struct Reference

This typedef contains the attributes for Shim DMA BD Control word register. More...

## Data Fields
XAieGbl_RegFldAttr | Addh
| Address high bit field attributes. More...
XAieGbl_RegFldAttr | NexEn
| Next BD enable bit field attributes. More...
XAieGbl_RegFldAttr | NexBd
| Next BD bit field attributes. More...
XAieGbl_RegFldAttr | Lock
| Lock ID bit field attributes. More...
XAieGbl_RegFldAttr | RelEn
| Lock release enable bit field attributes. More...
XAieGbl_RegFldAttr | RelVal
| Lock release value bit field attributes. More...
XAieGbl_RegFldAttr | RelValEn
| Lock release value enable bit field attributes. More...
XAieGbl_RegFldAttr | AcqEn
| Lock acquire enable bit field attributes. More...
XAieGbl_RegFldAttr | AcqVal
| Lock acquire value bit field attributes. More...
XAieGbl_RegFldAttr | AcqValEn
| Lock acquire value enable bit field attributes. More...
XAieGbl_RegFldAttr | Valid
| Valid bit field attributes. More...

## Detailed Description

This typedef contains the attributes for Shim DMA BD Control word register.

## Field Documentation

XAieGbl_RegFldAttr XAieGbl_RegShimBdCtrl::AcqEn

Lock acquire enable bit field attributes.

Referenced by XAieDma_ShimBdWrite().

XAieGbl_RegFldAttr XAieGbl_RegShimBdCtrl::AcqVal

Lock acquire value bit field attributes.

Referenced by XAieDma_ShimBdWrite().

XAieGbl_RegFldAttr XAieGbl_RegShimBdCtrl::AcqValEn

Lock acquire value enable bit field attributes.

Referenced by XAieDma_ShimBdWrite().

XAieGbl_RegFldAttr XAieGbl_RegShimBdCtrl::Addh

Address high bit field attributes.

Referenced by XAieDma_ShimBdWrite().

XAieGbl_RegFldAttr XAieGbl_RegShimBdCtrl::Lock

Lock ID bit field attributes.

Referenced by XAieDma_ShimBdWrite().

XAieGbl_RegFldAttr XAieGbl_RegShimBdCtrl::NexBd

Next BD bit field attributes.

Referenced by XAieDma_ShimBdWrite().

XAieGbl_RegFldAttr XAieGbl_RegShimBdCtrl::NexEn

Next BD enable bit field attributes.

Referenced by XAieDma_ShimBdWrite().

XAieGbl_RegFldAttr XAieGbl_RegShimBdCtrl::RelEn

Lock release enable bit field attributes.

Referenced by XAieDma_ShimBdWrite().

XAieGbl_RegFldAttr XAieGbl_RegShimBdCtrl::RelVal

Lock release value bit field attributes.

Referenced by XAieDma_ShimBdWrite().

XAieGbl_RegFldAttr XAieGbl_RegShimBdCtrl::RelValEn

Lock release value enable bit field attributes.

Referenced by XAieDma_ShimBdWrite().

XAieGbl_RegFldAttr XAieGbl_RegShimBdCtrl::Valid

Valid bit field attributes.

Referenced by XAieDma_ShimBdWrite().